;*************************************************************************
;-------------------------------------------------------------------------
;				Definierung der Konstanten
;-------------------------------------------------------------------------
.equ	PINSD	= 0b10111111	; Pins fr die LCD-Ansteuerung ber Port D

.equ temperature_lsb	=	0x060		;speicherstellen definieren fr den DS1820
.equ temperature_msb	=	0x061
.equ TH_register	=	0x062
.equ TL_register	=	0x063
.equ res_byte4		=	0x064
.equ res_byte5		=	0x065
.equ count_remain	=	0x066
.equ count_per_c	=	0x067
.equ crc		=	0x068


;-------------------------------------------------------------------------
;				Using register
;-------------------------------------------------------------------------
.def befehl	=	r0      ; Wird in der 1_wire INC bentigt
.def	temp	=r16	;Notizblock
.def	temp1	=r17	;Hilfsregister
.def    temp2	=r18	;hier sollte das Erebniss des DS1820 stehen


.def delay1	=	r19		;Diese Register werden in den Warteschleifen verwendet
.def delay2	=	r20
.def delay3	=	r22
