;1
.include "C:\Appnotes\m8def.inc" 



	ldi	temp,high(RAMEND)	;Position Stackpointer festlegen
	out	SPH,temp
	ldi	temp,low(RAMEND)
	out	SPL,temp

;11;***************  Initialisierung der PORTS  **********************************
	ldi	temp,PINSD		;setzen der Portpins D als Ausgang (PINSD=0b10111111)
	out	lcd_DDR,temp		;zur Steuerung des LC-Display
	rcall	lcd_init		;LC-Display initialisieren
	rcall	lcd_clear		;und Inhalte lschen

	ldi R25,0b11111111		;TEST fr Display
        ldi R26,0b11101111		,TEST fr Display

         ldi temp,0
	 sts Temperature_lsb,temp
	 sts Temperature_msb,temp

;***************  schreibe etwas ins Display  **********************************************

;***************  in die obere zeile String _1   ****************************************
main1:
       ldi ZL, LOW(string_1*2)		;Startadresse des Strings in den
       ldi ZH, HIGH(string_1*2)	;Z-Pointer laden
   	   ldi temp, 0b00000000	;Cursor auf 1. Zeile/1. Stelle
	   rcall lcd_command
print_oben:
        lpm				;Erstes Byte des Strings nach R0 lesen
        tst	R0			;R0 auf 0 testen
        breq	end_print_oben		;wenn 0, dann fertig
        mov	temp,r0			;Inhalt von R0 nach temp kopieren
    	rcall	lcd_data		;und auf das Display ausgeben
        adiw	Zl,1			;Adresse des Z-Pointers um 1 erhhen
        rjmp	print_oben		;wieder zum Anfang springen
end_print_oben:

;40;***************  und in die untere Zeile String _2 links   ***********************************

       ldi ZH, HIGH(string_2*2)	;Startadresse des Strings in den
       ldi ZL, LOW(string_2*2)		;Z-Pointer laden
       ldi temp, 0b11000000	;Cursor auf 2. Zeile/1. Stelle
        rcall lcd_command
print_unten:
        lpm				;Erstes Byte des Strings nach R0 lesen
        tst	R0			;R0 auf 0 testen
        breq	end_print_unten		;wenn 0, dann fertig
        mov	temp,r0			;Inhalt von R0 nach temp kopieren
       	rcall	lcd_data		;und auf das Display ausgeben
        adiw	Zl,1			;Adresse des Z-Pointers um 1 erhhen
        rjmp	print_unten		;wieder zum Anfang springen
end_print_unten:

;56;*******************  und in die untere Zeile rechts eine Zahl ausgeben *********************************

main:
	
	
	ldi	temp, 0b11000111	;Cursor auf 2. Zeile/16. Stelle
	rcall	lcd_command

    rcall reset_pulse
	rcall skip_rom
	rcall convert_t
    rcall reset_pulse
	rcall skip_rom
	rcall read_scratchpad
	rcall reset_pulse


    
        lds temp, temperature_lsb
	rcall	lcd_number		;und auf das Display ausgeben

    
	rjmp main			; warte auf Spannungsausfall



string_1:	.db "He:",0		;die Null beendet die gltige Zeichenkette
string_2:	.db "Wa:",0



.include"Hardware.H"
.include"lcd.inc"			; die Datei lcd.inc einfgen
.include"KonstuReg.H"
.include"Warteschleifen.inc"
.include"1_wire.inc"
